$:.push File.expand_path("../lib", __FILE__)

begin
  require "panda_pal/version"
  version = PandaPal::VERSION
rescue LoadError
  version = "0.0.0.docker"
end

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "panda_pal"
  s.version     = version
  s.authors     = ["Instructure CustomDev"]
  s.email       = ["pseng@instructure.com"]
  s.homepage    = "http://instructure.com"
  s.summary     = "LTI mountable engine"
  s.license     = "MIT"

  s.files = Dir["{app,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.md", "panda_pal.gemspec"]
  s.test_files = Dir["spec/**/*"].reject{|f| f =~ /\/log\//}

  s.add_dependency "rails", ">= 4.2"
  s.add_dependency 'ros-apartment', '~> 2.2'
  s.add_dependency 'ims-lti', '~> 1.2.4'
  s.add_dependency 'browser', '2.5.0'
  s.add_dependency 'attr_encrypted', '~> 4.0.0'
  s.add_dependency 'secure_headers', '~> 6.1'
  s.add_dependency 'json-jwt'
  s.add_dependency 'jwt'
  s.add_dependency 'httparty'

  s.add_development_dependency "rails", "~> 5.2"
  s.add_development_dependency 'pg'
  s.add_development_dependency 'sidekiq', "< 7.0"
  s.add_development_dependency 'sidekiq-scheduler'
  s.add_development_dependency 'ros-apartment', '~> 2.11'
  s.add_development_dependency 'ros-apartment-sidekiq', '~> 1.2'
  s.add_development_dependency 'rspec-rails'
  s.add_development_dependency 'factory_girl_rails'

  s.add_development_dependency "redis", ">=4.2", "< 5.0"

  # TODO See https://github.com/mikel/mail/issues/1489
  s.add_development_dependency "mail", "2.7.1"
end
